import 'dart:convert';
import 'dart:io';
import 'dart:typed_data';
import 'package:path_provider/path_provider.dart';

class LocalStorageManager {
  LocalStorageManager._();

  Future<void> save(String base64String, String filename) async {
    Uint8List bytes = base64.decode(base64String);
    final file = await _localFile(filename);
    await file.writeAsBytes(bytes);
  }

  Future<String> get _localPath async {
    final directory = await getApplicationDocumentsDirectory();
    return directory.path;
  }

  Future<File> _localFile(String filename) async {
    final path = await _localPath;
    return File('$path/$filename');
  }
}
